Skip to main content
GET
Get Real-time Buy quote

Authorizations

apiKey
string
query
required

Path Parameters

currencyCode
string
required

The code of the cryptocurrency of interest from the currencies list with type=crypto

Query Parameters

query
object
required

Response

Successful response — Buy Quote

accountId
string

ID of your business account

Example:

"717a8a80-5c17-46f9-84f8-a5253c372f51"

baseCurrency
object

The fiat currency the customer wants to use for the transaction.

baseCurrencyCode
string
Example:

"usd"

baseCurrencyAmount
number

A positive number representing how much the customer wants to spend. The minimum amount is 20.

Example:

288.37

quoteCurrency
object

The cryptocurrency the customer wants to purchase.

quoteCurrencyCode
string
Example:

"btc"

quoteCurrencyAmount
number

A positive number representing the amount of cryptocurrency the customer will receive. Set when the purchase of cryptocurrency has been executed.

Example:

0.0055

quoteCurrencyPrice
number

The price of the crypto the customer will receive

Example:

52474.5036

paymentMethod
enum<string>

The transaction's payment method.

Available options:
ach_bank_transfer,
credit_debit_card,
paypal,
gbp_bank_transfer,
gbp_open_banking_payment,
pix_instant_payment,
sepa_bank_transfer
Example:

"credit_debit_card"

feeAmount
number

A positive number representing the fee for the transaction.

Example:

3.99

extraFeePercentage
number
Example:

0

extraFeeAmount
number
Example:

0

networkFeeAmount
number

A positive number representing the network fee for the transaction. It is added to baseCurrencyAmount, feeAmount and extraFeeAmount when the customer's card is charged.

Example:

7.64

networkFeeAmountNonRefundable
boolean
Example:

false

totalAmount
number
Example:

300

externalId
string | null
Example:

null

externalCustomerId
string | null
Example:

null

signature
string | null

The signature for executing the quote for fixed flow

Example:

"really-long-string"

expiresIn
number | null

The time in seconds until the quote expires.

Example:

1800

expiresAt
string | null

Time at which the quote expires. Returned as an ISO 8601 string.

Example:

"2024-02-23T00:58:26.577Z"